BouncingBall ball1;      // klasse mit name BouncingBall mit dem objekt ball1 
Ballextend ball3;
Ballextendfort ball4;


PVector      p1 = new PVector();     // startvektor für ball1
PVector      p2 = new PVector();     // endvektor für alle baelle 
PVector      p3 = new PVector();     // startvektor für ball3
PVector      p4 = new PVector();     // startvektor für ball4
boolean      drag = false;
PImage bg;

void setup()
{
  size(600,600); 
  bg = loadImage("kids.jpg");
  
  ball1 = new BouncingBall(100,100);
  ball3 = new Ballextend(80,80);
  ball4 = new Ballextendfort(100,100);

  
  // svg bild soll zentriert sein
  shapeMode(CENTER);
  smooth();
}

void draw()
{
  
  background(bg);
  //ghosting
  fill(255,255,255,60);
  rect(0,0,width,height);
    
  if(drag)
  { // zeichne die abschussrichtung
    p1.set(ball1._pos.x,ball1._pos.y,0);
    line(p1.x,p1.y,p2.x,p2.y);
    p3.set(ball3._pos.x,ball3._pos.y,0);
    line(p3.x,p3.y,p2.x,p2.y);
    p4.set(ball4._pos.x,ball4._pos.y,0);
    line(p4.x,p4.y,p2.x,p2.y);
  }a
  
  // zeichne den ball
  ball1.draw();    
  ball3.draw();
  ball4.draw();
}

void mousePressed()
{
  drag = true;
  p1.set(ball1._pos.x,ball1._pos.y,0);
  p2.set(mouseX,mouseY,0);
  p3.set(ball3._pos.x,ball3._pos.y,0);
  p4.set(ball4._pos.x,ball4._pos.y,0);

}

void mouseDragged()
{
  p2.set(mouseX,mouseY,0);
}

void mouseReleased()
{
  drag = false;
  
  // abschuss staerke berechnen
  PVector dir = PVector.sub(p2,p1);
  PVector dir2 = PVector.sub(p2,p3);
  PVector dir3 = PVector.sub(p2,p4);

  // laenge verkuerzen
  dir.mult(.2);
  dir2.mult(.2);
  dir3.mult(.2);
  
  // der ball wird neu ausgerichtet
  ball1.set(p1,dir,.85);
  ball3.set(p3,dir2,.9);
  ball4.set(p4,dir3,.9);

}

void keyPressed ()                 // neuer Event mit Tastatureingabe 
{
  if (key == 'g')                  // ist a gedrückt, dann   ???auskommentieren
  {
    ball3.move(mouseX, mouseY);
  }
  else if (key == 'w') 
  {
    ball4.move(20);
  }
}


